Skip to main content
GET
/
plans
/
{plan_id}
Get plan by Id
curl --request GET \
  --url https://api.zenskar.com/plans/{plan_id} \
  --header 'organisation: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "status": "draft",
  "schedule": {
    "duration": "<string>",
    "start_offset": "P0D",
    "trigger_type": "time_based"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "phases": [],
  "plan_version": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "old_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "new_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "parent_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "version_number": 123,
    "diff": {
      "additions": [
        "<unknown>"
      ],
      "deletions": [
        "<unknown>"
      ],
      "updates": [
        "<unknown>"
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Path Parameters

plan_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required

Plan ID

name
string
required

Plan name

status
enum<string>
required

Plan Status

Available options:
draft,
active
schedule
Schedule · object
required

Schedule of the plan

created_at
string<date-time>
required

Plan created at

updated_at
string<date-time>
required

Plan updated at

description
string | null

Product Description

phases
PlanPhaseResponseSchema · object[] | null

Plan Phases

plan_version
PlanVersionResponseSchema · object

Plan Version